Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:        Fast and small X11 window manager
Name:		icewm
Version:	1.2.35
Release:	1
Group:		Graphical Desktop/Icewm
License:	GNU/LGPL
URL:		http://www.icewm.org/
Source:		http://ftp.sourceforge.net/icewm/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	imlib
Requires:	libtiff
Requires:	giflib
Requires:	freetype
BuildRequires:	imlib-devel
BuildRequires:	libtiff-devel
BuildRequires:	giflib-devel
BuildRequires:	freetype-devel
BuildRequires:	glibc-devel
BuildRequires:	fontconfig-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	zlib-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXft-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
BuildRequires:  gnome-desktop-devel


%description
A lightweight window manager for the X Window System. Optimized for
"feel" and speed, not looks. Features multiple workspaces, opaque
move/resize, task bar, window list, clock, mailbox, CPU, Network, APM
status. 

%package	l10n
Group:		%{group}
Summary:        Message translations for icewm
Requires:       icewm = %{version}-%{release}

%description	l10n
Message translations for icewm.

%package	doc
Summary: 	%{name} documents.
Group: 		%{group}
Requires: 	%{name} = %{version}-%{release}

%description	doc
%{name} documents.

%package	themes
Group:		%{group}
Summary:        Extra themes for icewm
Requires:       icewm = %{version}-%{release}

%description	themes
Extra themes for icewm. 

%prep

%setup -q

%build
./configure --prefix=%_prefix \
--exec-prefix=%_exec_prefix \
--datadir=%_datadir \
--sysconfdir=%_sysconfdir \
--with-docdir=%_docdir \
--disable-debug \
--enable-xinerama \
--enable-gradients \
--enable-shape \
--enable-movesize-fx \
--enable-shaped-decorations \
--enable-menus-gnome2
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT{%_sysconfdir/icewm,/usr/share/xsessions}
install -m 644 lib/IceWM.desktop $RPM_BUILD_ROOT/usr/share/xsessions/IceWM.desktop

mkdir -p $RPM_BUILD_ROOT%_docdir/icewm-%{version}
cp {README,COPYING,AUTHORS,CHANGES,BUGS,doc/*.html,doc/icewm.sgml,icewm.lsm}  $RPM_BUILD_ROOT%_docdir/icewm-%{version}

find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%config %_datadir/icewm/keys
%config %_datadir/icewm/menu
%config %_datadir/icewm/preferences
%config %_datadir/icewm/toolbar
%config %_datadir/icewm/winoptions
%dir %_sysconfdir/icewm
%_bindir
%_datadir/xsessions
%_datadir/icewm/icons
%_datadir/icewm/ledclock
%_datadir/icewm/mailbox
%_datadir/icewm/taskbar
%_datadir/icewm/themes/icedesert

%files l10n
%defattr(-,root,root)
%_datadir/locale

%files themes
%defattr(-,root,root)
%_datadir/icewm/themes/nice
%_datadir/icewm/themes/nice2
%_datadir/icewm/themes/gtk2
%_datadir/icewm/themes/warp3
%_datadir/icewm/themes/warp4
%_datadir/icewm/themes/motif
%_datadir/icewm/themes/win95
%_datadir/icewm/themes/metal2
%_datadir/icewm/themes/Infadel2
%_datadir/icewm/themes/yellowmotif

%files doc
%defattr(-,root,root)
%_docdir

%clean
test -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jan 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.35-1
- Version Update
* Fri Nov 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.33-1
- Version Update
* Fri Aug 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.32-2
- moved initscript to where gdm finds it
- fixed doc file location
- added gnome/kde program-menu integration
* Fri Aug 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.32-1
- Version Update
* Sun Feb 11 2007 Christian Metzen <metzench@ccux-linux.de> 1.2.28-2
- rebuild against giflib, changed deps
* Tue Sep 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.28-1
- Version Update
- built against X.org 7.1.1
* Thu Jun 20 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 1.2.26-1
- Version Update
* Wed Apr 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.25-2
- fixed typo which led to bug #0000128
* Tue Feb 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.25-1
- Version Update
* Wed Oct 26 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.2.23-1
- Initial Release
